version: "3"

volumes:
  mongodb_api:

services:
  api:
    build: ./api
    command: npm run start
    ports:
      - "8080:8080"
    environment:
      - PORT=8080
      - HOST=http://realworld-docker.com
      - DB=mongodb://api_db:27017/api
    depends_on:
      - api_db
  api_db:
    image: mongo:latest
    volumes:
      - mongodb_api:/data/db
  frontend:
    build:
      context: ./frontend
      dockerfile: Dockerfile.prod
    container_name: realworld-docker-frontend
    command: serve -s build -l 3000
    ports:
      - "3000:3000"
    restart: unless-stopped